Groovy 1.7.0

## groovy.lang
Class GetBeanMethodMetaProperty

    java.lang.Object
      groovy.lang.MetaProperty
          groovy.lang.GetBeanMethodMetaProperty

    class GetBeanMethodMetaProperty
    extends MetaProperty

Field Summary

Fields inherited from class MetaProperty
name, type

Constructor Summary
`GetBeanMethodMetaProperty(String name, MetaMethod theMethod)`

Method Summary
`Object` | `getProperty(Object object)`
`void` | `setProperty(Object object, Object newValue)`

Methods inherited from class MetaProperty
getGetterName, getModifiers, getName, getProperty, getSetterName, getType, setProperty

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### GetBeanMethodMetaProperty

    public GetBeanMethodMetaProperty(String name, MetaMethod theMethod)

Method Detail

### getProperty

    public Object getProperty(Object object)

### setProperty

    public void setProperty(Object object, Object newValue)

Copyright © 2003-2009 The Codehaus. All rights reserved.